> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/knowledge-base/how-to-articles/add-a-proxy-in-devolutions-server.md).

# Add a proxy in Devolutions Server

To add a proxy in Devolutions Server, you need to add a few command lines to the **web.config** file.

1. Locate and open the **web.config** file. Its default location is **C:\inetpub\wwwroot\dvls\web.config**.
2. In the file, locate the `<environmentVariables>` and `</environmentVariables>` tags.
3. Add the following code between them, replacing the values with your information:

   ```
   <environmentVariable name="http_proxy" value="myproxyaddress"/>
   <environmentVariable name="https_proxy" value="myproxyaddress"/>
   ```

{% hint style="info" %}
For more options, refer to [Configure using environment variables](https://learn.microsoft.com/en-ca/dotnet/azure/sdk/configure-proxy?tabs=cmd#configure-using-environment-variables).
{% endhint %}

4\. Save and close the file.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/server/knowledge-base/how-to-articles/add-a-proxy-in-devolutions-server.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
